curl --request GET \
--url https://api.example.com/api/v1/checkout-sessions \
--header 'Authorization: Bearer <token>'{
"sessions": [
{
"checkout_type": "SELF_SERVE",
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "<string>",
"id": "<string>",
"plan_version_id": "<string>",
"status": "CREATED",
"billing_day_anchor": 123,
"billing_start_date": "2023-12-25",
"checkout_url": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"coupon_code": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"net_terms": 123,
"payment_methods_config": {
"type": "online",
"config": {
"card": {
"enabled": true
},
"direct_debit": {
"enabled": true
}
}
},
"subscription_id": "sub_7n42DGM5Tflk9n8mt7Fhc7",
"trial_duration_days": 123
}
]
}curl --request GET \
--url https://api.example.com/api/v1/checkout-sessions \
--header 'Authorization: Bearer <token>'{
"sessions": [
{
"checkout_type": "SELF_SERVE",
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "<string>",
"id": "<string>",
"plan_version_id": "<string>",
"status": "CREATED",
"billing_day_anchor": 123,
"billing_start_date": "2023-12-25",
"checkout_url": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"coupon_code": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"net_terms": 123,
"payment_methods_config": {
"type": "online",
"config": {
"card": {
"enabled": true
},
"direct_debit": {
"enabled": true
}
}
},
"subscription_id": "sub_7n42DGM5Tflk9n8mt7Fhc7",
"trial_duration_days": 123
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"cus_7n42DGM5Tflk9n8mt7Fhc7"
CREATED, AWAITING_PAYMENT, COMPLETED, EXPIRED, CANCELLED List of checkout sessions
Show child attributes